aboutsummaryrefslogtreecommitdiff
path: root/unicorn_mode
diff options
context:
space:
mode:
authorDavid CARLIER <devnexen@gmail.com>2020-08-24 11:06:04 +0100
committerGitHub <noreply@github.com>2020-08-24 12:06:04 +0200
commita7c3f252d57707ca2c0035be6cbe80635cf8857b (patch)
tree0ea22f6ed46d2674b09d669159b7e3dcd6df64df /unicorn_mode
parentb9b6f064297839103d8b2ae06accfda2a3dc6aa1 (diff)
downloadAFLplusplus-a7c3f252d57707ca2c0035be6cbe80635cf8857b.tar.gz
unicorn build warning for MUSL based linux distros. (#510)
Diffstat (limited to 'unicorn_mode')
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index 841728d7..b4d2058f 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -70,6 +70,11 @@ MAKECMD=make
TARCMD=tar
if [ "$PLT" = "Linux" ]; then
+ MUSL=`ldd --version 2>&1 | head -n 1 | cut -f 1 -d " "`
+ if [ "musl" = $MUSL ]; then
+ echo "[-] Error: Unicorn instrumentation is unsupported with the musl's libc."
+ exit 1
+ fi
CORES=`nproc`
fi